Bug 111189 - unitialised data
Summary: unitialised data
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rdist   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-29 11:21 UTC by d.binderman
Modified: 2015-03-05 01:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 12:32:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2004:077 normal SHIPPED_LIVE An updated rdist package is available 2004-05-12 04:00:00 UTC
Red Hat Product Errata RHEA-2004:170 normal SHIPPED_LIVE An updated rdist package is available 2004-04-21 04:00:00 UTC

Description d.binderman 2003-11-29 11:21:00 UTC
Description of problem:
I just tried to compile package rdist-6.1.5-30.1 from Fedora.

The compiler said

1.

expand.c(291): remark #592: variable "stb" is used before its value is set

The source code is

        struct stat stb;

	/* more code */
        if (!ISDIR(stb.st_mode)) {

Suggest initialise stb before use.



Version-Release number of selected component (if applicable):
rdist-6.1.5-30.1 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Phil Knirsch 2003-12-17 12:32:48 UTC
OK, bug is only in the old rdist code. Fixed nonetheless, rawhide
package rdist-6.1.5-31 and later.

Read ya, Phil

Comment 2 John Flanagan 2004-04-22 00:29:35 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2004-170.html



Note You need to log in before you can comment on or make changes to this bug.